#!/bin/bash

num_runs=15
temprunsdir='runs'

rm -rf ${temprunsdir}
mkdir ${temprunsdir}

export OMP_NUM_THREADS=1

for ((i=1; i<=${num_runs}; i++))
do
	cp -r ADPVI ${temprunsdir}/ADPVI_mat_rerun_${i}
	cp -r APO ${temprunsdir}/APO_mat_rerun_${i}
done

cd ${temprunsdir}
for ((i=1; i<=${num_runs}; i++))
do
	cd ADPVI_mat_rerun_${i}
	echo "Starting run in ADPVI_mat_rerun_${i}/"
	nohup ffea -i ADPVI_mat_rerun.ffea &
	cd ..

	cd APO_mat_rerun_${i}
	echo "Starting run in APO_mat_rerun_${i}/"
	nohup ffea -i APO_mat_rerun.ffea &
	cd ..
done
echo "Done."
